task zcat {
	File file1
	File file2
	File file3
	File file4
	String name
	String cluster_config
	String disk_size
	String docker

	command <<<
		cat ${file1} ${file2} ${file3} ${file4} > ${name}.fq.gz
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File gz = "${name}.fq.gz"
	}
}
